# Overview This reference describes RESTful web methods for interacting with Tisane API using standard HTTP and JSON-based communication. Version: 4.8.0.0 ## Servers Tisane public cloud ``` https://api.tisane.ai ``` ## Security ### Tisane-API-Key API subscription key (primary or secondary) from [Tisane Developer Portal](https://dev.tisane.ai/profile) Type: apiKey In: header Name: Ocp-Apim-Subscription-Key ## Download OpenAPI description [Overview](https://docs.tisane.ai/_bundle/apis/tisane-api-short.yaml) ## NLU / NLP Methods These are the methods that actually perform analysis and transformation of input text. ### Analyze text - [POST /parse](https://docs.tisane.ai/apis/tisane-api-short/nlu-nlp-methods/parse.md): The method analyzes the input and detects problematic content, sentiment snippets, entities, topics, phrase structure, parts of speech, stopwords, and more. ### List available languages - [GET /languages](https://docs.tisane.ai/apis/tisane-api-short/nlu-nlp-methods/languages.md): Retrieve a list of supported languages. The response includes the following attributes: * id - Language ID. * name - Native name. * englishName - English name. * nativeEncoding - Encoding of the language. * preferredFont - Recommended font for display. * latin - Whether the language uses Latin script. * rightToLeft - Whether the language uses right-to-left script (e.g., Arabic, Hebrew, Persian). ### Text clean-up - [POST /helper/extract_text](https://docs.tisane.ai/apis/tisane-api-short/nlu-nlp-methods/extract_text.md): A service method to remove JavaScript, CSS tags, JSON, and other markup, returning pure decoded text. The request body includes the markup content from which text will be extracted. Note: This method does not process binary content. ### Named entity comparison - [POST /compare/entities](https://docs.tisane.ai/apis/tisane-api-short/nlu-nlp-methods/compareentities.md): Compares two compound named entities and identifies differences. The request body should include: * language1 (string) - IETF tag for the first entity's language. * entity1 (string) - The first entity. * language2 (string) - IETF tag for the second entity's language. * entity2 (string) - The second entity. * type (string) - The entity type (currently only _person_ is supported). More information: Named Entities in the Tisane API Response Guide The response contains: * result (string) - Comparison result: * no_single_entity - One or both entities are invalid. * same - Entities are identical (name order might differ). * different - Entities differ, with details in differences. * differences (array of strings) - Lists detected differences: * given_name * surname * title (e.g., Mr., Mrs.) * social_role (e.g., academic degrees) * suffix * variation (e.g., spelling or style differences) ### Semantic similarity - [POST /similarity](https://docs.tisane.ai/apis/tisane-api-short/nlu-nlp-methods/similarity.md): Calculate the semantic similarity between two text fragments, either in the same language or in different languages. The request body should contain: * content1 (string) - The first text fragment. * language1 (string) - The IETF language code for content1. * content2 (string) - The second text fragment to compare. * language2 (string) - The IETF language code for content2. * settings (object) - Additional settings as per specifications. More information: Tisane API Configuration And Customization Guide. The response is a number between 0 and 1, representing the similarity of the submitted text fragments. ### Detect language - [POST /detectLanguage](https://docs.tisane.ai/apis/tisane-api-short/nlu-nlp-methods/detectlanguage.md): Detects the languages used in the provided text fragment and returns the breakdown by offsets. The request body should include: * content (string) - the text fragment to analyze. * languages (string, optional) - a vertical bar-delimited list of language codes to use as cues. * delimiter (string, optional) - a regular expression for segmenting the fragment; by default, the fragment is not segmented. The response is a JSON structure containing languages, which provides a breakdown of language codes. ### Translate text - [POST /transform](https://docs.tisane.ai/apis/tisane-api-short/nlu-nlp-methods/transform.md): This method translates the input text. The request body should include the following elements: from (string) - A standard IETF tag for the source language. Use or a vertical bar-delimited set of language codes to invoke autodetect. * to (string) - A standard IETF tag for the target language. If the source and target languages are the same, paraphrasing will be applied. * content (string) - The text content to translate. * settings (object) - Additional translation settings. More information: Tisane API Configuration And Customization Guide The response is the transformed text. ## Language Model Direct Access Methods to retrieve and inspect entries from the language models. ### List inflected forms - [GET /lm/inflections](https://docs.tisane.ai/apis/tisane-api-short/language-model-direct-access/inflections.md): Retrieves inflected forms of a specified lexeme within a given language family.